> For the complete documentation index, see [llms.txt](https://docs.ionos.com/postgres-sdk-python/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/postgres-sdk-python/changelog.md).

# Changelog

## v1.1.1 (March, 2023)

### Features

* added new state for clusters: `DEGRADED`
* added `limit` and `offset` parameters

## v1.1.0 (March, 2023)

### Features

* added new property for clusters: `dns_name`

### Documentation

* generate the documentation automatically

## v1.0.3 (July, 2022)

### Features

* add size and location to ClusterBackup
* added certificate pinning option

## v1.0.2 (May, 2022)

### Enhancements:

* `location` and `backup_location` parameters on `CreateClusterProperties` are now strings
  * `Location` and `BackupLocation` models are now removed

### Features

* **new values** for `storage_type` parameter: ***SSD\_STANDARD**, **SSD\_PREMIUM***. Value ***SSD*** is deprecated. Use the equivalent ***SSD\_PREMIUM*** instead.

## v1.0.1 (March, 2022)

### Features:

* added **new property** `backup_location` on `CreateClusterProperties`
* added **new query parameter** `direction` on `cluster_logs_get` method

### Enhancements:

* added support for query parameters
* added token authentication
* added proxy support

## v1.0.0 (January, 2022)

### Features:

* first release 🎉


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/postgres-sdk-python/changelog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
